LightWayTxtTextInternal::HFZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
LightWayTxtTextInternal::HFZone Struct Reference

Internal: the header/footer zone of a LightWayTxtText. More...

## Public Member Functions
| HFZone ()
| constructor More...

## Public Attributes
int | m_numChar
| the number of char More...
MWAWEntry | m_pos
| the position of the text in the file More...
int | m_height
| the height More...
MWAWFont | m_font
| the font More...
MWAWParagraph::Justification | m_justify
| the paragraph justification More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, HFZone const &hf)
| operator<< More...

## Detailed Description

Internal: the header/footer zone of a LightWayTxtText.

## Constructor & Destructor Documentation

LightWayTxtTextInternal::HFZone::HFZone | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | HFZone const & | hf
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string LightWayTxtTextInternal::HFZone::m_extra

extra data

Referenced by LightWayTxtTextInternal::operator<<(), and LightWayTxtText::readDocumentHF().

MWAWFont LightWayTxtTextInternal::HFZone::m_font

the font

Referenced by LightWayTxtText::readDocumentHF(), and LightWayTxtText::sendHeaderFooter().

int LightWayTxtTextInternal::HFZone::m_height

the height

Referenced by LightWayTxtTextInternal::operator<<(), and LightWayTxtText::readDocumentHF().

MWAWParagraph::Justification LightWayTxtTextInternal::HFZone::m_justify

the paragraph justification

Referenced by LightWayTxtTextInternal::operator<<(), LightWayTxtText::readDocumentHF(), and LightWayTxtText::sendHeaderFooter().

int LightWayTxtTextInternal::HFZone::m_numChar

the number of char

Referenced by LightWayTxtTextInternal::operator<<(), and LightWayTxtText::readDocumentHF().

MWAWEntry LightWayTxtTextInternal::HFZone::m_pos

the position of the text in the file

Referenced by LightWayTxtText::sendHeaderFooter().

The documentation for this struct was generated from the following file:

- LightWayTxtText.cxx